unit ucaminos_modelado_ro;

{$mode delphi}
interface

uses
  Classes, SysUtils,ufechas;


var
  CarpetaRaizInfo: string;
  CarpetaCEGH: string;

function CarpetaResultados_modelado_RO( nidCentral: integer ): string;
function CarpetaResultados_curvas_P_vel( nidCentral: integer ): string;
function archi_parque_mt( nidCentral: integer ): string;
function archi_calibrador( nidCentral: integer ): string;
function archi_parque_mc( nidCentral: integer ): string;
function archi_series(nidCentral: integer; term_str: string = '_series10min.sas' ): string; overload;
function archi_series(path: String; nidCentral: integer; term_str: string = '_series10min.sas' ): string; overload;
function archi_series_M8s(nidCentral,nidM8s: integer; term_str: string = '_10min.sas' ): string; overload;


implementation

function CarpetaResultados_curvas_P_vel( nidCentral: integer ): string;
begin
 result:= CarpetaResultados_modelado_RO( nidCentral ) + DirectorySeparator + 'curvas_P_v';
 if not DirectoryExists( Result ) then
     mkdir( Result );
end;


function CarpetaResultados_modelado_RO( nidCentral: integer ): string;
begin
 result:= CarpetaRaizInfo+ DirectorySeparator +'c'+IntToStr( nidCentral );
 if not DirectoryExists( Result ) then
     mkdir( Result );
end;

function archi_parque_mt( nidCentral: integer ): string;
begin
  result:= CarpetaResultados_modelado_RO( nidCentral)+DirectorySeparator +'c'+IntToStr( nidCentral )+'_parque_mt.pmt';
end;
function archi_parque_mc( nidCentral: integer ): string;
begin
  result:= CarpetaResultados_modelado_RO( nidCentral)+DirectorySeparator +'c'+IntToStr( nidCentral )+'.pmc';
end;

function archi_calibrador( nidCentral: integer ): string;
begin
  result:= CarpetaResultados_modelado_RO( nidCentral)+DirectorySeparator +'c'+IntToStr( nidCentral )+'_calibrador.clp';
end;

function archi_series(path: String; nidCentral: integer; term_str: string = '_series10min.sas'): string;
begin
  result:= path+DirectorySeparator+'c'+IntToStr(nidCentral)+ term_str;
end;


function archi_series_M8s(nidCentral, nidM8s: integer; term_str: string
  ): string;
begin
 result:= CarpetaResultados_modelado_RO(nidCentral)+DirectorySeparator+'c'+
   IntToStr(nidCentral)+'M8s'+IntToStr(nidM8s)+ term_str;;
end;


function archi_series( nidCentral: integer; term_str: string = '_series10min.sas' ): string;
begin
  result:= archi_series( CarpetaResultados_modelado_RO( nidCentral), nidCentral, term_str  );
end;


procedure mkdirine( carpeta: string );
begin
 WriteLn(carpeta);
  if not DirectoryExists( Carpeta ) then
     mkdir( carpeta );
end;


function getBaseDir_ro: string;
begin
{$IFDEF LINUX}
{$IFDEF BASE_MEDIA_RO}
  Result := '/media/compartida_dnc/modelado_ro';
 {$ELSE}
  Result := '/home/' + GetEnvironmentVariable('USER')+'/modelado_ro';
 {$ENDIF}
{$ELSE}
   {$IFDEF VERSION_SIMPLE}
    Result := 'C:\SimSEE\modelado_ro';
    {$ELSE}
    if DirectoryExists( 'Y:' ) then
      result:= 'Y:\modelado_ro'
    else if DirectoryExists( 'C:' ) then
      result:= 'C:\basura\modelado_ro';
    {$ENDIF}
{$ENDIF}
end;

initialization

CarpetaRaizInfo:= getBaseDir_ro;
CarpetaCEGH:= CarpetaRaizInfo+DirectorySeparator+'CEGH';
ForceDirectories( CarpetaCEGH );

end.

